# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Attributes | List of all members
DBus::IntrospectedInterface Struct Reference

`#include <introspection.h>`

## Public Attributes

const char * | name
const IntrospectedMethod * | methods
const IntrospectedMethod * | signals
const IntrospectedProperty * | properties

## Detailed Description

Definition at line 55 of file introspection.h.

## Member Data Documentation

## ◆ methods

const IntrospectedMethod* DBus::IntrospectedInterface::methods

Definition at line 58 of file introspection.h.

Referenced by DBus::IntrospectableAdaptor::Introspect().

## ◆ name

const char* DBus::IntrospectedInterface::name

Definition at line 57 of file introspection.h.

Referenced by DBus::IntrospectableAdaptor::Introspect().

## ◆ properties

const IntrospectedProperty* DBus::IntrospectedInterface::properties

Definition at line 60 of file introspection.h.

Referenced by DBus::IntrospectableAdaptor::Introspect().

## ◆ signals

const IntrospectedMethod* DBus::IntrospectedInterface::signals

Definition at line 59 of file introspection.h.

Referenced by DBus::IntrospectableAdaptor::Introspect().

The documentation for this struct was generated from the following file:

- introspection.h